• /
  • Log in
  • Free account

Supported browsers for New Relic UI

New Relic's UI supports the two most recent desktop versions of the most common browsers. If you're using an unsupported browser version, you'll see an error in the UI.

Tip

For the requirements for our browser monitoring, see Compatibility for browser monitoring.

Supported browsers

Our UI supports the two most recent desktop versions for these browsers:

  • Google Chrome: Linux, macOS, Windows
  • Microsoft Edge: Windows
  • Mozilla Firefox: Linux, macOS, Windows
    • Extended Support Release (ESR) versions of Firefox are not supported.
  • Safari: macOS

If your browser version is not supported, it may still work. However, to get the best functionality from our site (and others), we encourage you to upgrade to a supported version.

Limited support

Our UI provides limited support for mobile browsers. To access New Relic from a mobile device, install our Android app or iOS app. The workflows in our mobile apps are specifically designed for phone use cases. The web interface is not actively supported on mobile browsers.

For more help

If you need more help, check out these support and learning resources:

Create issueEdit page
Copyright © 2021 New Relic Inc.